﻿using System;
using UnityEngine;

public static class ControllerShortcutSettingData
{
	public static ControllerShortcutSettingData.OvrControllerShortcutConfig config
	{
		get
		{
			return ControllerShortcutSettingData.m_Config;
		}
	}

	private static ControllerShortcutSettingData.OvrControllerShortcutConfig m_Config = new ControllerShortcutSettingData.OvrControllerShortcutConfig();

	public class OvrControllerShortcutConfig : ISerializationCallbackReceiver
	{
		public bool isDirectMode { get; set; }

		public bool isEveryShowMode { get; set; }

		public float maintainPelvisPosition { get; set; }

		public float bodyPosStiffness { get; set; }

		public float bodyRotStiffness { get; set; }

		public float chestRotationWeight { get; set; }

		public float selfCameraFOV { get; set; }

		public bool use1TrackerForHead { get; set; }

		public bool use23TrackerForFoot { get; set; }

		public bool use12TrackerForFoot { get; set; }

		public void OnAfterDeserialize()
		{
		}

		public void OnBeforeSerialize()
		{
		}
	}
}
