﻿using System;
using UnityEngine;

public class PhotoMotionDataShortcutSetter : MonoBehaviour
{
	[SerializeField]
	[Range(0.001f, 1f)]
	private float m_FadeSpeed = 0.25f;

	[SerializeField]
	private PhotoMotionDataShortcut m_TargetControllerRight;

	[SerializeField]
	private PhotoMotionDataShortcut m_TargetControllerLeft;

	[SerializeField]
	private CircleCommandUI m_ButtonListShortcutRight;

	[SerializeField]
	private CircleCommandUI m_ButtonListShortcutLeft;

	[SerializeField]
	private ListViewerWindow m_WindowListMotionData;

	[SerializeField]
	private UIButton m_ButtonMotionListOK;
}
